
Figure - Bug #115074
【AF】【EVT2】【BT】【蓝牙】两个蓝牙耳机链接后，关闭一个蓝牙耳机后，状态栏显示蓝牙未链接图标
2023-01-04 16:47 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date: 2023-02-08

Assignee: 物联网测试组_CDTS 段小刚 % Done: 50%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301040304

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

None

【测试步骤】

1.DUT链接2个蓝牙耳机

2.进入音乐播放音乐，查看当前播放音乐的蓝牙耳机

3.关闭播放音乐的蓝牙耳机（或断开播放音乐的蓝牙耳机）

4.查看当前状态栏蓝牙图标

【预期结果】

4.状态栏有蓝牙已连接图标

【实际结果】

4.状态栏蓝牙显示为未连接耳机图标，控制中心的蓝牙图标 是有蓝牙耳机链接（见截图）

【蓝牙耳机】：Redmi AirDots3（5.2）、Shinco、Baseus Encok

【复现概率次数】3/3

【对比机】联想平板有蓝牙耳机连接图标、红米K40有蓝牙耳机连接图标

History

#1 - 2023-01-04 17:24 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#2 - 2023-01-05 10:09 - CD FW 曹覃刚

- Category changed from CD-FW to LC

- Assignee changed from CD FW 曹覃刚 to CD LC 陶洪普

Hi 洪普

蓝牙链接状态及状态栏图标更新，属于LC的内容，请帮忙检查，谢谢

如果有AF需要调查的内容，请回转此票

#3 - 2023-01-06 17:59 - CD LC 陶洪普
- Status changed from New to ASSIGNED

#4 - 2023-01-13 00:19 - CD LC 陶洪普

- Due date set to 2023-01-20

#5 - 2023-02-03 00:16 - CD LC 陶洪普

- Due date changed from 2023-01-20 to 2023-02-08

- Assignee changed from CD LC 陶洪普 to CD LC涂宇

Hi 涂宇

请帮忙Check一下Android12上行为.

理解在未连接状态下, 状态栏中不显示BT图标,显示未连接的图标在Android12上是什么场景?

谢谢!

#6 - 2023-02-03 14:34 - CD LC涂宇

- % Done changed from 0 to 50

Hi all，

1. 经调查，当前行为符合现有设计，并非bug，用户在断开当前active设备后需手动重新选择新的active设备（本票中说描述的是处于已连接但未active）。

Currently, the expectation is that the user will explicitly select the new active device.

http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/vendor/qcom/opensource/commonsys/packages/apps/Bluet

ooth/src/com/android/bluetooth/btservice/ActiveDeviceManager.java#82

7) If the currently active device (per profile) is disconnected, the

Active Device Manager just marks that the profile has no active device,

but does not attempt to select a new one. Currently, the expectation is

that the user will explicitly select the new active device.

2. 然最新android平台上已变更当前行为如下：

https://cs.android.com/android/_/android/platform/packages/modules/Bluetooth/+/225fef2717d6daa7e027447939d22c17da2339ea

Activate the last connected BT device

When BT1 connected -> BT2 connected -> BT2 disconnected,

then the sound came from phone speaker before this CL.

With the CL, now the sound comes from BT1.

3. 请项目上判断本项目中是否需要进行需求（行为）变更？

#7 - 2023-02-03 14:38 - CD LC涂宇

- Assignee changed from CD LC涂宇 to CDTS_TEST 王成
Hi 王成，

当前行为符合目前的代码设计，请确认上面的comment，我们是否需要进行需求（行为）变更？

Thanks

#8 - 2023-02-03 15:08 - CD LC 陶洪普

- Assignee changed from CDTS_TEST 王成 to 物联网测试组_CDTS 段小刚

Hi 小刚

入飞书中沟通，请帮确认。

- 从日志和代码中分析，是原生行为（请确认上面两条Comments）

- Lenovo平板上有一样现象（我们已复现），请帮复测，

谢谢！

#9 - 2023-02-03 16:20 - CD LC 陶洪普

- File 需求确认-20230203.jpeg added

#10 - 2023-02-03 16:24 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

Hi 王成, 小刚

如上,该行为是目前Andorid12原生行为, 断开一个耳机后,需要用户手动激活第二个耳机.

对该需求进行了确认, 确认结果请参照 附件截图 需求确认-20230203.jpeg

请确认我们理解是否一致,保留目前原生行为, 后面如有需求变化,再提出.

谢谢!

#11 - 2023-02-04 21:20 - CD LC 陶洪普

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

Hi 王成, 小刚,

请参照群中对这个现象同步的信息及SE的回复.

- Android12原生现象, 其他原生设备也有相同现象

- 需求中对此无说明,SE确认不需要改变.

请确认附件 需求确认-20230203.jpeg 

Resolution: Won't fix

请确认,如有疑问,请联系,谢谢!

#12 - 2023-02-06 17:00 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED
其为Android12源生自带的，经过讨论,此为正常逻辑，无需修改。

#13 - 2023-02-06 17:00 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED

Files

Screenshot_20230104-023815.png 433 KB 2023-01-04 CDTS_TEST 刘勇

Screenshot_20230104-023821.png 367 KB 2023-01-04 CDTS_TEST 刘勇

需求确认-20230203.jpeg 25.9 KB 2023-02-03 CD LC 陶洪普
